// ---------- Naptr Reloaded
// --- trta : Varga Lszl
// --- 2008.03.13.


var aktdat = new Date(); // aktulis dtum
var ev = aktdat.getFullYear(); // aktulis v 4 karakter hosszban
var honap = aktdat.getMonth(); // aktulis hnap (0 = janur, februr = 1, ...)
var nap = aktdat.getDate(); // aktulis nap (azaz hnyadika van ma)
var hetnapja = aktdat.getDay(); // a mai nap az a ht hnyadik napja (vasrnap = 0, htf = 1, ...)

var dat2 = new Date(); // segd Dtum objektum az res helyek szmtshoz

// kezd res helyeket trol tmb ltrehozsa
var kezdoUresek = new Array(12);

// tltsk fel a tmbt
// A setFullYear() metdussal egy cikluson bell minden lpsben belltjuk az vet -HH-NN formban.
// 2 fix adattal dolgozunk: az vet (ev) mr a script elejn lekrtk, a napot pedig mindig 1-nek vesszk.
// Ami vltozik az a hnap sorszma (i ciklusvltoz). Ne felejstk el, hogy 0-tl kezddik a sorszmozs,
// azaz 0 janurnak felel meg, 1 februrnak s gy tovbb.

// Hogyan lltjuk be a kezd res helyeket?
// Miutn belltottuk a dtumot, az "i"-nek megfelel hnap elsejre, a getDay() metdussal megnzzk, hogy
// az adott hnap elseje az a ht melyik napjra esik. Figyelem: vasrnap = 0, htf = 1, stb.
// Els vgiggondolsra azt mondhatjuk, hogy ahhoz, hogy megkapjuk mennyi res hely kell a kezd "1"-es eltt,
// megnzzk milyen napra esik s ebbl kivonunk egyet. Ha pldul elseje szerdra esik, akkor a szerda getDay()
// ltal visszaadott rtke 3, amibl ha 1-et kivonunk az kett s H s K helyt feltltjk res hellyel.
// Azonban van egy eset, aminl, ha kivonunk egyet az rtkbl akkor -1-et kapunk. Ez pedig az az eset, amikor 
// elseje vasrnapra esik, aminek 0 az rtke. Ezt le kell kezelni.

for(i=0;i<12;i++){
	dat2.setFullYear(ev,i,1);
	
	kezdoUresek[i] = (dat2.getDay()==0) ? 6 : dat2.getDay()-1;
	
	
}


// napszamPerHo : az egy hnapban lev napok szma 
napszamPerHo = new Array(12);
napszamPerHo[0] = 31;
napszamPerHo[1] = 28; // ez vltozhat szkv esetn, lejjebb kezeljk
napszamPerHo[2] = 31;
napszamPerHo[3] = 30;
napszamPerHo[4] = 31;
napszamPerHo[5] = 30;
napszamPerHo[6] = 31;
napszamPerHo[7] = 31;
napszamPerHo[8] = 30;
napszamPerHo[9] = 31;
napszamPerHo[10] = 30;
napszamPerHo[11] = 31;

// szkv vizsglata
if (((ev % 4 == 0) && !(ev % 100 == 0)) || (ev % 400 == 0)) napszamPerHo[1]++;

honev = new Array(12);
honev[0] = 'Janur';
honev[1] = 'Februr';
honev[2] = 'Mrcius';
honev[3] = 'prilis';
honev[4] = 'Mjus';
honev[5] = 'Jnius';
honev[6] = 'Jlius';
honev[7] = 'Augusztus';
honev[8] = 'Szeptember';
honev[9] = 'Oktber';
honev[10] = 'November';
honev[11] = 'December';

var n = 1;
document.write('<table class="keret" cellpadding="0" cellspacing="2" > <tr>');
document.write ('<td colspan="7" class="fejlec">');
document.write (ev + '. ' + honev[honap]);
document.write ('</td></tr><tr>');
document.write ('<td class="napnevek">H</td>');
document.write ('<td class="napnevek">K</td>');
document.write ('<td class="napnevek">Sze</td>');
document.write ('<td class="napnevek">CS</td>');
document.write ('<td class="napnevek">P</td>');
document.write ('<td class="hetvege2">Szo</td>');
document.write ('<td class="hetvege2">V</td></tr><tr>');

for(o=0;o<kezdoUresek[honap];o++) { document.write ('<td class="uresek" align="center">&nbsp;</td>') };

for(i=0;i<(7-kezdoUresek[honap]);i++){
				
					 	
				if (n == nap) {
				  document.write ('<td class="aktualis">');
				  document.write (n++);
				  document.write ('</td>');
				 }
				else {
					if ((i==5-kezdoUresek[honap]) || (i==6-kezdoUresek[honap])){
						document.write ('<td class="hetvege">');
				  		document.write (n++);
				  		document.write ('</td>');
					}
					else{
						document.write('<td class="nemaktualis">');
			      		document.write(n++);
		    	  		document.write('</td>');
					}
				  
				 } 
				}
				 
document.write('</tr>');

do {

document.write('<tr>');
for(i=0;i<7;i++){
				if (n <= napszamPerHo[honap]) {
						if (n == nap) {
						  document.write ('<td class="aktualis">');
						  document.write (n++);
						  document.write ('</td>');
						                 }
						else {
						  if ((i==5) || (i==6)){
								document.write ('<td class="hetvege">');
				  				document.write (n++);
				  				document.write ('</td>');
							}
							else{
								document.write('<td class="nemaktualis">');
			      				document.write(n++);
		    	  				document.write('</td>');
							}
						 }
						}
				else { document.write('<td class="uresek">&nbsp;</td>'); }
				}
document.write('</tr>');
} while (n<=napszamPerHo[honap]);


document.write('</table>');


